import type { SrcOptions } from "./interfaces";
import type { Transformation } from "./interfaces/Transformation";
/**
 * Builds a source URL with the given options.
 *
 * @param {SrcOptions} opts - The options for building the source URL.
 * @returns {string} The constructed source URL.
 */
export declare const buildSrc: (opts: SrcOptions) => string;
/**
 * Builds a transformation string from the given transformations.
 *
 * @param {Transformation[] | undefined} transformation - The transformations to apply.
 * @returns {string} The constructed transformation string.
 */
export declare const buildTransformationString: (transformation: Transformation[] | undefined) => string;
